List Portfolio Files

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.visible.vc/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Visible API MCP server": {
  "url": "https://docs.visible.vc/mcp"
}
Close
GET /portfolio_files

Returns a paginated collection of portfolio files for a portfolio company profile.

Query parameters

  • portfolio_company_profile_id string(uuid) Required

    ID of the portfolio company profile to filter by

  • portfolio_folder_id string(uuid)

    ID of a portfolio folder to filter by

  • file_tag_id string(uuid) | array[string(uuid)]

    File tag IDs to filter by

  • page integer

    Page number

    Minimum value is 1. Default value is 1.

Responses

  • 200 application/json

    Successfully retrieved portfolio files

    Hide response attributes Show response attributes object
    • portfolio_files array[object]
      Hide portfolio_files attributes Show portfolio_files attributes object
      • id string(uuid) Required

        Unique identifier for the portfolio file

      • name string Required

        Name of the portfolio file

      • size integer Required

        Size of the portfolio file in bytes

      • content_type string Required

        MIME type of the portfolio file

      • created_at string(date-time) Required

        When the portfolio file was created

      • portfolio_company_profile_id string(uuid) Required

        ID of the associated portfolio company profile

      • portfolio_folder_id string | null Required

        ID of the associated portfolio folder

      • file_tag_ids array[string(uuid)] Required

        IDs of the associated file tags

      • download_url string(uri)

        Temporary download URL for the portfolio file

    • meta object
      Hide meta attributes Show meta attributes object
      • total integer Required

        Total number of items across all pages

      • total_pages integer Required

        Total number of pages

      • page integer Required

        Current page number

  • 401 application/json

    Unauthorized - Invalid or missing authentication token

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 403 application/json

    Forbidden - The authenticated user does not have access to the requested resource

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

GET /portfolio_files
curl \
 --request GET 'https://api.visible.vc/portfolio_files?portfolio_company_profile_id=string' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "portfolio_files": [
    {
      "id": "ec5252fe-9abc-4096-85e9-1374e70a3182",
      "name": "Board Deck.pdf",
      "size": 1024,
      "content_type": "application/pdf",
      "created_at": "2025-01-01T00:00:00.000Z",
      "portfolio_company_profile_id": "cad09a10-73e8-4205-ae67-4e6156f37be8",
      "portfolio_folder_id": "56a1bed4-9ac4-4bd1-8533-077f3ae465c3",
      "file_tag_ids": [
        "b9bd9bb5-9b12-48bb-ae93-cdd2eba9af98"
      ]
    }
  ],
  "meta": {
    "total": 1,
    "total_pages": 1,
    "page": 1
  }
}
Response examples (401)
{
  "errors": [
    {
      "type": "unauthorized"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "type": "forbidden"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "type": "rate_limit_exceeded"
    }
  ]
}